com.impinj.octane

## Class TagOpSequence

- java.lang.Object
- - com.impinj.octane.TagOpSequence

-     public class TagOpSequence
      extends java.lang.Object

  Class for containing and configuring a sequence of tag operations that are submitted to the reader
  See Also:
    `ImpinjReader.addOpSequence(TagOpSequence)`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TagOpSequence()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `short` | `getAntennaId()`
    `short` | `getBlockWriteRetryCount()`
    `short` | `getBlockWriteWordCount()`
    `short` | `getExecutionCount()`
    `int` | `getId()`
    `java.util.List<TagOp>` | `getOps()`
    `SequenceTriggerType` | `getSequenceStopTrigger()`
    `SequenceState` | `getState()`
    `TargetTag` | `getTargetTag()`
    `boolean` | `isBlockWriteEnabled()`
    `void` | `setAntennaId(short antennaId)`
    `void` | `setBlockWriteEnabled(boolean blockWriteEnabled)`
    `void` | `setBlockWriteRetryCount(short blockWriteRetryCount)`
    `void` | `setBlockWriteWordCount(short blockWriteWordCount)`
    `void` | `setExecutionCount(short executionCount)`
    `void` | `setId(int id)`
    `void` | `setOps(java.util.List<TagOp> ops)`
    `void` | `setSequenceStopTrigger(SequenceTriggerType sequenceStopTrigger)`
    `void` | `setState(SequenceState state)`
    `void` | `setTargetTag(TargetTag targetTag)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TagOpSequence

          public TagOpSequence()

  - ### Method Detail

    - #### getSequenceStopTrigger

          public SequenceTriggerType getSequenceStopTrigger()

      Returns:
        Definition of trigger that will cause this operating sequence to stop.

    - #### setSequenceStopTrigger

          public void setSequenceStopTrigger(SequenceTriggerType sequenceStopTrigger)

      Parameters:
        `sequenceStopTrigger` - Definition of trigger that will cause this operating sequence to stop.

    - #### getId

          public int getId()

      Returns:
        The unique ID for this sequence. A unique ID is automatically assigned by the class constructor.

    - #### setId

          public void setId(int id)

      Parameters:
        `id` - The unique ID for this sequence. A unique ID is automatically assigned by the class constructor.

    - #### getAntennaId

          public short getAntennaId()

      Returns:
        The Antenna ID to which this sequence will be applied. Antennas start at antenna 1, and for all antennas, use AntennasIds.All.

    - #### setAntennaId

          public void setAntennaId(short antennaId)

      Parameters:
        `antennaId` - The Antenna ID to which this sequence will be applied. Antennas start at antenna 1, and for all antennas, use AntennasIds.All.

    - #### getState

          public SequenceState getState()

      Returns:
        whether the sequence is disabled or active.

    - #### setState

          public void setState(SequenceState state)

      Parameters:
        `state` - whether the sequence is disabled or active.

    - #### getExecutionCount

          public short getExecutionCount()

      Returns:
        the number of times this sequence of operations will execute before it gets deleted. A value of zero (0) means that the sequence never gets deleted.

    - #### setExecutionCount

          public void setExecutionCount(short executionCount)

      Parameters:
        `executionCount` - the number of times this sequence of operations will execute before it gets deleted. A value of zero (0) means that the sequence never gets deleted.

    - #### getTargetTag

          public TargetTag getTargetTag()

      Returns:
        the target tag(s) on which to perform this tag operation sequence.

    - #### setTargetTag

          public void setTargetTag(TargetTag targetTag)

      Parameters:
        `targetTag` - the target tag(s) on which to perform this tag operation sequence.

    - #### getOps

          public java.util.List<TagOp> getOps()

      Returns:
        The list of tag operations to perform.

    - #### setOps

          public void setOps(java.util.List<TagOp> ops)

      Parameters:
        `ops` - The list of tag operations to perform.

    - #### isBlockWriteEnabled

          public boolean isBlockWriteEnabled()

      Returns:
        Flag whether BlockWrites should be used, or not.

    - #### setBlockWriteEnabled

          public void setBlockWriteEnabled(boolean blockWriteEnabled)

      Parameters:
        `blockWriteEnabled` - whether BlockWrites should be used, or not.

    - #### getBlockWriteWordCount

          public short getBlockWriteWordCount()

      Returns:
        whether 16 or 32-bit BlockWrites should be used.

    - #### setBlockWriteWordCount

          public void setBlockWriteWordCount(short blockWriteWordCount)

      Parameters:
        `blockWriteWordCount` - whether 16 or 32-bit BlockWrites should be used.

    - #### getBlockWriteRetryCount

          public short getBlockWriteRetryCount()

      Returns:
        how many retries to use for BlockWrite operations.

    - #### setBlockWriteRetryCount

          public void setBlockWriteRetryCount(short blockWriteRetryCount)

      Parameters:
        `blockWriteRetryCount` - how many retries to use for BlockWrite operations.